> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Alert Integration Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/org/alerts/integrations/{integration_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/alerts/integrations/{integration_id}:
    get:
      tags:
        - Alerts API
      summary: Get Alert Integration Endpoint
      operationId: >-
        get_alert_integration_endpoint_api_v1_org_alerts_integrations__integration_id__get
      parameters:
        - in: path
          name: integration_id
          required: true
          schema:
            format: uuid4
            title: Integration Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetIntegrationResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    GetIntegrationResult:
      properties:
        item:
          $ref: '#/components/schemas/IntegrationItem'
      required:
        - item
      title: GetIntegrationResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    IntegrationItem:
      properties:
        id:
          format: uuid4
          title: Id
          type: string
        name:
          title: Name
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        channel_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Id
        channel_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel Name
        integration_type:
          title: Integration Type
          type: string
        teams_tenant_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Teams Tenant Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        template:
          anyOf:
            - type: string
            - type: 'null'
          title: Template
        enabled:
          title: Enabled
          type: boolean
        organisation_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Organisation Id
        created_at:
          format: date-time
          type: string
          title: Created At
        updated_at:
          format: date-time
          type: string
          title: Updated At
      required:
        - id
        - name
        - url
        - channel_id
        - channel_name
        - integration_type
        - teams_tenant_id
        - description
        - template
        - enabled
        - organisation_id
        - created_at
        - updated_at
      title: IntegrationItem
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````